<?php 
defined('BASEPATH') OR exit('No direct script access allowed');

class Utilisateurs extends CI_Controller
{

	public function index(){

		$user_id = $this->session->userdata('idUtilisateur');
		$nomu = $this->session->userdata('nomUtilisateur');
		if(!$user_id){
			$this->load->view('login');
		}else{
			// if ($this->session->userdata('backOffice')) {
			$data['droitsUtilisateur'] = $this->UtilisateursModel->getDUtilisateurs();
			$data['utilisateurs'] = $this->UtilisateursModel->getUtilisateurs();
			$header['title'] = 'Gestion Commercial - Gestion Utilisateurs';
			$header['page'] = 'utilisateurs';
		
			$this->load->view('templates/header',$header);
			$this->load->view('utilisateurs',$data);
			$this->load->view('templates/footer');

			// }
		}
	}

		public function deleteUtilisateur(){

		$user_id = $this->session->userdata('idUtilisateur');
		$nomu = $this->session->userdata('nomUtilisateur');
		if(!$user_id){
			print json_encode(array("session"=>false));

		}else{
			$idProp = $this->input->post('idProp');

			if($this->UtilisateursModel->removeUtilisateur($idProp)){

				$utilisateurs= $this->UtilisateursModel->getUtilisateurs();

				print json_encode(array("session"=>true,"result"=>true,'utilisateurs' => $utilisateurs,'count'=>count($utilisateurs)));


			}else{
				print json_encode(array("session"=>true,"result"=>false));
			}	
		}
		
	}



	public function activerUtilisateur(){
		$user_id = $this->session->userdata('idUtilisateur');
		$nomu = $this->session->userdata('nomUtilisateur');
		if(!$user_id){
			print json_encode(array("session"=>false));

		}else{
			$idProp = $this->input->post('idProp');
			$activer = $this->input->post('activer');


			if($this->UtilisateursModel->masquerUtilisateur($idProp,$activer)){

				$utilisateurs= $this->UtilisateursModel->getUtilisateurs();

				print json_encode(array("session"=>true,"result"=>true,'utilisateurs' => $utilisateurs,'count'=>count($utilisateurs)));


			}else{
				print json_encode(array("session"=>true,"result"=>false));
			}	

		}

	}

	public function updateUtilisateur($id=1){
		$user_id = $this->session->userdata('idUtilisateur');
		$nomu = $this->session->userdata('nomUtilisateur');
		if(!$user_id){
			print json_encode(array("session"=>false));
		}else{

			$nom = $this->input->post('propierte');
			$idUtilisateur = $this->input->post('idProp');
			$role = $this->input->post('role');
			$password = $this->input->post('pass');

			$dbpassword2  = password_hash($password, PASSWORD_DEFAULT);

			if($this->UtilisateursModel->updateUtilisateur($idUtilisateur,$nom,$dbpassword2,$role)){

				$utilisateurs= $this->UtilisateursModel->getUtilisateurs();

				print json_encode(array("session"=>true,"result"=>true,'utilisateurs' => $utilisateurs,'count'=>count($utilisateurs)));

			}else{
				print json_encode(array("session"=>true,"result"=>false));
			}	

		}

		// $id = $this->session->userdata('id');
		// if(!$id){
		// 	$results = array('status'=>true,'session'=>false);
  //       	echo json_encode(( $this->utf8ize( $results ) ));
		// }else{

			// $email = $this->input->post('name');

			// $pass = $this->input->post('pass');

			// $idChannel = $this->input->post('channel');

			// $dbpassword2  = password_hash('6487', PASSWORD_DEFAULT);
			// if($this->UtilisateursModel->updateUtilisateurClient($id,$dbpassword2)){
			// 	$output =  json_encode(array('status'=>true,'session'=>true));
   //      $this->output->set_content_type('application/json');
   //    	$this->output->set_output($output);
			// }else{
			// 	$output =  json_encode(array('status'=>false,'session'=>true));
			// 	$this->output->set_content_type('application/json');
   //    	$this->output->set_output($output);
			// }

		// }

	}

	// public function updateUtilisateur(){
	// 	$user_id = $this->session->userdata('idUtilisateur');
	// 	$nomu = $this->session->userdata('nomUtilisateur');
	// 	if(!$user_id){
	// 		print json_encode(array("session"=>false));
	// 	}else{

	// 		$nom = $this->input->post('propierte');
	// 		$idUtilisateur = $this->input->post('idProp');
	// 		$role = $this->input->post('role');
	// 		$password = $this->input->post('pass');

	// 		if($this->UtilisateursModel->updateUtilisateur($idUtilisateur,$nom,$password,$role)){

	// 			$utilisateurs= $this->UtilisateursModel->getUtilisateurs();

	// 			print json_encode(array("session"=>true,"result"=>true,'utilisateurs' => $utilisateurs,'count'=>count($utilisateurs)));

	// 		}else{
	// 			print json_encode(array("session"=>true,"result"=>false));
	// 		}			
	// 	}

	// }


	public function insertUtilisateur(){
		$user_id = $this->session->userdata('idUtilisateur');
		$nomu = $this->session->userdata('nomUtilisateur');
		if(!$user_id){
			print json_encode(array("session"=>false));
		}else{
			$propierte = $this->input->post('propierte');
			$pass = $this->input->post('pass');
			$role = $this->input->post('role');

			$dbpassword2  = password_hash($pass, PASSWORD_DEFAULT);

			if($this->UtilisateursModel->insertUtilisateur($propierte,$dbpassword2,$role)){

				$utilisateurs= $this->UtilisateursModel->getUtilisateurs();

				print json_encode(array("session"=>true,"result"=>true,'utilisateurs' => $utilisateurs,'count'=>count($utilisateurs)));

			}else{
				print json_encode(array("session"=>true,"result"=>false));
			}			
		}

	}



    //Number of times to rehash
	private $rotations = 5 ;

	public function connexion(){

		$password = $this->input->post('password');
		$user = $this->input->post('user');
		if($password){
			$utilisateur = $this->UtilisateursModel->getPassword($user);
			if($utilisateur!=NULL){
				if(password_verify($password, $utilisateur->password)){

					$this->session->set_userdata('idUtilisateur', $utilisateur->idUtilisateur);
				    $this->session->set_userdata('nomUtilisateur', $utilisateur->nomUtilisateur);
				    $this->session->set_userdata('pass', $utilisateur->password);
				    //echo '<pre>'; print_r($this->session->all_userdata());exit;
				    //var_dump($this->session->userdata('idUtilisateur'));die;

				    $societe = $this->UtilisateursModel->getSociete();

				    $this->session->set_userdata('PDV', $societe->nomSociete);

				    $this->load->library('user_agent');

					 $json = json_encode(array('browser'=>$this->agent->browser(),'os'=>$this->agent->platform(),'browser_version'=>$this->agent->version(),'ip_address'=>$this->input->ip_address()));


				    $this->UtilisateursModel->saveLogin($utilisateur->idUtilisateur,$json);

					$output = json_encode(array('status'=>true,'session'=>true));
	          		// echo json_encode(( $this->utf8ize( $results ) ));
	        $this->output->set_content_type('application/json');
        	$this->output->set_output($output);

				}else{


					$output = json_encode(array('status'=>false,'session'=>true));
	        //echo json_encode(( $this->utf8ize( $results ) ));
	        $this->output->set_content_type('application/json');
        	$this->output->set_output($output);


				}
			}else{

				$output = json_encode(array('status'=>false,'session'=>true));
	      //echo json_encode(( $this->utf8ize( $results ) ));
	      $this->output->set_content_type('application/json');
        $this->output->set_output($output);
					
			}
		}else{
				$output = json_encode(array('status'=>false,'session'=>true));
				$this->output->set_content_type('application/json');
        $this->output->set_output($output);
		}
		// $this->session->set_userdata('id', 1);
		  // $this->session->set_userdata('nom', 'administrateur');
		  // $this->session->set_userdata('hotel', 'RESIDENCE HOTEL EZZAHIA');
		  // $this->session->set_userdata('idHotel', 1);
		// $this->LogsModel->insertLog(2,10,'administrateur est en ligne',1);

	}


	public function setUtilisateur(){

		// $id = $this->session->userdata('id');
		// if(!$id){
		// 	$results = array('status'=>true,'session'=>false);
  //       	echo json_encode(( $this->utf8ize( $results ) ));
		// }else{

			// $email = $this->input->post('name');

			// $pass = $this->input->post('pass');

			// $idChannel = $this->input->post('channel');

			$dbpassword2  = password_hash('7340', PASSWORD_DEFAULT);

			if($this->UtilisateursModel->insertUtilisateurClient('younes',$dbpassword2,1)){
				$output =  json_encode(array('status'=>true,'session'=>true));
        $this->output->set_content_type('application/json');
      	$this->output->set_output($output);
			}else{
				$output =  json_encode(array('status'=>false,'session'=>true));
				$this->output->set_content_type('application/json');
      	$this->output->set_output($output);
			}

		// }

	}

	// public function updateUtilisateur($id=1){

	// 	// $id = $this->session->userdata('id');
	// 	// if(!$id){
	// 	// 	$results = array('status'=>true,'session'=>false);
 //  //       	echo json_encode(( $this->utf8ize( $results ) ));
	// 	// }else{

	// 		// $email = $this->input->post('name');

	// 		// $pass = $this->input->post('pass');

	// 		// $idChannel = $this->input->post('channel');

	// 		$dbpassword2  = password_hash('6487', PASSWORD_DEFAULT);
	// 		if($this->UtilisateursModel->updateUtilisateurClient($id,$dbpassword2)){
	// 			$output =  json_encode(array('status'=>true,'session'=>true));
 //        $this->output->set_content_type('application/json');
 //      	$this->output->set_output($output);
	// 		}else{
	// 			$output =  json_encode(array('status'=>false,'session'=>true));
	// 			$this->output->set_content_type('application/json');
 //      	$this->output->set_output($output);
	// 		}

	// 	// }

	// }



	  // public function index()
	  // {

   //  //     $password = $this->input->post('password');
   //  //     $username = $this->input->post('username');
	  // 	// return $this->is_valid_password($password,$dbpassword);



	  // 	$password = '123'; 

	  // 	$username = 'administrateur'; 


	  // 	$dbpassword  = $this->encrypt_password($password, $username);

   //      echo $dbpassword;

   //      echo '<br>---------------------------------------------------------------------------------------<br>';

   //      $password2 = '123'; 

	  // 	$username2 = 'amine'; 


	  // 	echo $dbpassword2  = $this->encrypt_password($password2, $username2);

	  // 	echo '<br>---------------------------------------------------------------------------------------<br>';

	  // 	$password = '123'; 

	  // 	var_dump($this->is_valid_password($password,$dbpassword));

	  // 	var_dump($this->is_valid_password($password,$dbpassword2));



	  // }



    public function logout(){

  		$id = $this->session->userdata('id');
		$nom = $this->session->userdata('nom');
		if(!$id){
			$this->load->view('login');
		}else{
			$user_data = $this->session->all_userdata();
	        foreach ($user_data as $key => $value) {
	            if ($key != 'session_id' && $key != 'ip_address' && $key != 'user_agent' && $key != 'last_activity') {
	                $this->session->unset_userdata($key);
	            }
	        }
	        $this->LogsModel->insertLog(2,1);
		    $this->session->sess_destroy();
		    
		    redirect('login');
		}

    }

	private function encrypt_password($password, $username,$idChannel){

		$salt = hash('sha256', uniqid(mt_rand(), true) . $idChannel . strtolower($username));

		$hash = $salt . $password;


		for ( $i = 0; $i < $this->rotations; $i ++ ) {
		  $hash = hash('sha256', $hash);
		}
		return $salt . $hash;
	}


	private function is_valid_password($password,$dbpassword){

		$salt = substr($dbpassword, 0, 64);

		$hash = $salt . $password;

		for ( $i = 0; $i < $this->rotations; $i ++ ) {
				$hash = hash('sha256', $hash);
		}

		//Sleep a bit to prevent brute force
		time_nanosleep(0, 400000000);
		$hash = $salt . $hash;

		return $hash == $dbpassword;

	}

  private function utf8ize( $mixed ) {
      if (is_array($mixed)) {
          foreach ($mixed as $key => $value) {
              $mixed[$key] = $this->utf8ize($value);
          }
      } elseif (is_string($mixed)) {
          return mb_convert_encoding($mixed, "UTF-8", "UTF-8");
      }
      return $mixed;
  }

}