<div id="content-wrapper">
      <div class="container-fluid">
        <!-- DataTables Example -->
        <div class="card mb-3">
          <div class="card-header bg-white" >
            <div class="col-12">
              <div class="row h-100">
                <div class="title-header col-5 my-auto p-0">
                  Liste Chambres
                </div>
                <div class="col-7 my-auto p-0">
                  <button class="btn float-right btn-hexa-more"><i class="fa fa-ellipsis-h"></i></button>
                  <button class="btn float-right btn-hexa-ajouter" onclick="createChambre();" >Ajouter une chambre</button>
                </div>
              </div>
            </div>

           </div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                  <tr>
                    <th>Code</th>
                    <th>Nom</th>
                    <th class="text-center">Adultes</th>
                    <th class="text-center">Capacite</th>
<!--                     <th class="text-center">Date Creation</th> -->
                    <th class="text-center">Actions</th>
                  </tr>
                </thead>
                <tbody>
                  <?php foreach ($chambres as $key => $chambre): ?>
                    <tr>
                      <td><span style="font-size:90%;font-style:italic;"><?php echo $chambre['codeChambre']?></span></td>
                      <td>  
                        <span style="display:block;width:100%;font-style:italic;font-weight: 700"><?php echo $chambre['nomTypeChambres']?></span>
                        <span style="font-size:70%;display:block;width:100%;font-style:italic">
                          <?php
                            $date = new DateTime($chambre['dateCreation']);
                            $date->setTimezone(new DateTimeZone('Africa/Casablanca')); 
                            setlocale(LC_TIME, "fr_FR");
                            echo strftime("%A %d %B %G",strtotime($date->format('d-m-Y'))).' '.$date->format('H:i'); ?></span>
                      </td>
                      <td class="text-center"><?php echo $chambre['adults'] ?></td>
                      <td class="text-center"><?php echo $chambre['capacite'] ?></td>
<!--                       <td class="text-center"><?php echo $chambre['dateCreation'] ?></td>
 -->                      <td class="text-center">
                        <ul class="list-inline">
                          <li class="actions list-inline-item"><button class="btn hexa-btn-ison"><i class="fa fa-eye clickable"></i></button></li>
                          <li class="actions list-inline-item"><button class="btn hexa-btn-ison"><i onclick="modifierChambre(<?php echo $chambre['idTypeChambres'] ?>)" class="fa fa-pen clickable"></i></button></li>
                          <li class="actions list-inline-item"><button class="btn hexa-btn-ison"><i class="fa fa-trash-alt clickable"></i></button></li>
                        </ul>
                      </td>
                    </tr>
                  <?php endforeach ?>
                </tbody>
              </table>
            </div>
          </div>
          <?php 
            $dt = new DateTime("now", new DateTimeZone('Africa/Casablanca'));
            $time =  $dt->format('H:i');
          ?>
          <div class="card-footer small text-muted">Mise a jour <?php setlocale(LC_TIME, "fr_FR"); echo 'Le '.strftime("%A %d %B %G  ").$time; ?></div>
        </div>
      </div>
      <!-- /.container-fluid -->
</div>
      <script type="text/javascript">


        $(document).ready(function() {


                    oTable = $('#dataTable').DataTable({
                  fixedHeader: true,
                  bFilter: true,
                  dom: 'T<"clear">lfrtip',
                      "lengthMenu": false,
                      "lengthChange": false,
                      "language": {
                            "sProcessing":     "Traitement en cours...",
                            "sSearch":         "",
                            "sLengthMenu":     "Afficher _MENU_ &eacute;l&eacute;ments",
                            "sInfo":           "Affichage de l'&eacute;l&eacute;ment _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
                            "sInfoEmpty":      "Affichage de l'&eacute;l&eacute;ment 0 &agrave; 0 sur 0 &eacute;l&eacute;ment",
                            "sInfoFiltered":   "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
                            "sInfoPostFix":    "",
                            "sLoadingRecords": "Chargement en cours...",
                            "sZeroRecords":    "Aucun &eacute;l&eacute;ment &agrave; afficher",
                            "sEmptyTable":     "Aucune donn&eacute;e disponible dans le tableau",
                            "oPaginate": {
                                "sFirst":      "Premier",
                                "sPrevious":   '<i class="fa fa-caret-left"></i>',
                                "sNext":       '<i class="fa fa-caret-right"></i>',
                                "sLast":       "Dernier"
                            },
                            "oAria": {
                                "sSortAscending":  ": activer pour trier la colonne par ordre croissant",
                                "sSortDescending": ": activer pour trier la colonne par ordre d&eacute;croissant"
                            },
                            "select": {
                                    "rows": {
                                        _: "%d lignes séléctionnées",
                                        0: "Aucune ligne séléctionnée",
                                        1: "1 ligne séléctionnée"
                                    } 
                            }
                        },
                       "pageLength": 35,
                       "info":     false,
                  "responsive": true
                });

              $('#myInputTextField').keyup(function(){
                    oTable.search($(this).val()).draw() ;
              })
                  // var data = new FormData();
                  // data.append("data", '{"hr_number":"R523302222","provider_number":"1039673","pms_number":null,"channel":"hotelbeds","channel_display":"Hotelbeds","source_display":"HOTELBEDS DMCC","state":"confirmed","modified":false,"total_guests":2,"total_rooms":1,"guest":"EDUARDO CALZAS MARTIN","firstname":"EDUARDO CALZAS","lastname":"MARTIN","guest_national_id":"","guest_is_citizen":null,"cancel_reason":null,"completed_at":"2020-03-13T19:15:10Z","updated_at":"2020-03-13T19:15:22Z","sub_total":31.0,"extras_total":0.0,"adjustments_total":0.0,"tax_total":0.0,"total":31.0,"currency":"EUR","checkin_date":"2020-03-13","checkout_date":"2020-03-14","note":"Market:United KingdomGuest Ages and Names:Age:30 - Guest:Eduardo Calzas martinAge: - Guest:No Name","payment":"not_provided","payment_details":null,"paid_amount":0.0,"address":{"city":"-","state":"","country":"~Not available","country_code":"NN","phone":"000000","email":"REZ_R523302222@hotelrunner.com","street":"-","street_2":""},"billing_address":{"bill_type":null,"city":"-","state":"","country":"Not Available","country_code":"NN","phone":"000000","email":"REZ_R523302222@hotelrunner.com","street":"-","street_2":"","tax_office":"","tax_id":"","company":"","firstname":"EDUARDO CALZAS","lastname":"MARTIN"},"extra_adjustments_details":[],"adjustment_details":[],"price_adjustments_details":[],"item_total":"31.0","next_states":[],"system_message":null,"system_url":"http://hotel-zahia-marrakech.hotelrunner.com/admin/orders/R523302222","deposit_tax_inclusive":true,"requires_response":false,"cancelation_policy":[{"label":"Cancellation","value":"Cancelations or changes made after 12:00 on 14 days before checkin date are subject to a Rate for one night penalty. No refunds for no shows or early checkouts."}],"rooms":[{"state":"confirmed","code":"252107:HR:252104","availability_group":"HR:252104","rate_code":"252107:HR:252104","rate_plan_code":"252107:HR:252104","inv_code":"HR:252104","non_refundable":false,"price":31.0,"total":31.0,"nights":1,"meal_plan":"bed-breakfast","meal_plan_presentation":"Bed & breakfast","total_guest":2,"total_adult":2,"child_ages":[],"name":"TWIN - CG-BAR","checkin_date":"2020-03-13","checkout_date":"2020-03-14","extra_info":"Payment Type:MerchantBoard Type:ROOM ONLYCharacteristic:STANDARDAdult Count:2Child Count:0Baby Count:0Guest Names:Eduardo Calzas martin, No Name Rate Description:Remarks:Discount:SPECIAL DISCOUNTDiscount:BOARD SUPPLEMENT","daily_prices":[{"date":"2020-03-13","price":31.0}],"extras":[],"extras_total":0.0,"fixed_adjustments_total":0.0,"included_taxes_total":0.0,"excluded_fees_and_taxes_total":0.0,"cancelation_refund_total":0.0,"cancelation_refund_tax_type":"exclusive","cancelation_penalty_total":0.0,"cancelation_penalty_tax_type":"inclusive","promotions_total":0.0,"room_base_price":31.0,"room_sub_total":31.0}],"payments":[{"state":"checkout","id":7317098,"amount":"31.0","currency":"EUR","exchanged_amount":"0.0","exchange_currency":"EUR","exchange_rate":"0.0","paid_at":null,"payment_method_name":"Cash","payment_method":"cash","installment":null,"response_code":null}],"reason":"confirm","message_uid":"4f52cb5a051b546cc8251ddb2b11faa6"}'); var xhr = new XMLHttpRequest(); xhr.open("POST", "https://pms.hexagone-solutions.com/callback?token=pxPam45IjpGGH58AgWLjN1WW1WHDT0mtx1XEVmeM&hr_id=341486717");
                  // xhr.send(data);
        


         });







        function createChambre(){

          window.location.href = '<?php echo base_url() ?>createChambre'

        }

        function modifierChambre(id){

          window.location.href = '<?php echo base_url() ?>updateChambre/'+id

        }


      </script>