<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Gestion Commercial - Login</title>

  <!-- Custom fonts for this template-->
  <link href="<?php echo base_url();?>assets/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

  <link href="<?php echo base_url(); ?>assets/fonts/css/Montserrat.css" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="<?php echo base_url();?>assets/css/sb-admin.css" rel="stylesheet">

</head>
<style type="text/css">

  body{
   font-family: Montserrat!important;
   background: #EEF2F7 !important;
  }
  label {
      margin-bottom: 0.5rem;
      text-align: left;
      font-size: 0.7rem;
      color: #06163F;

  }
  button{
      margin-top: 1.5rem;
      background: #2B58F5;
      font-size: 0.9rem;
      font-weight: 400;
      border-radius: 0.2rem;
  }
  input {
        font-size: 0.9rem;
        border-radius: 0.1rem;
          font-weight: 400;
  }
  .img-logo{
      width:40%;
      height:auto;
  }
  .block{
      display:block;
      width:100vw;
      height:100vh;
    /*   text-align:center; */
  }
    .left-p{
      display: table-row;
      height: 30%;
/*       height:20vh; */
      background:#383D43;
      flex:unset;
    }
    .right-p{
      display: table-row;
      height: 70%;
      height:70vh;
      background:#EEF2F7;
      flex:unset;
    }

    .form-control {

        font-size: 0.9rem;
        color: #06163F;
        border: 1px solid #DADADA;
        border-radius: 0.2rem;

      }
    .btn-primary {
      background-color: #383D43;
      border-color: #383D43;
      font-weight: 400;
      font-size: 0.9rem;
    }
    .form-control:focus {
        color: #495057;
        background-color: #fff;
        border-color: #80bdff;
        outline: 0;
        -webkit-box-shadow: 0 0 0 0rem rgba(0, 123, 255, 0.25);
        box-shadow: 0 0 0 0rem rgba(0, 123, 255, 0.25);
    }

    .bottom-hexa{
      color: #98999B;
      bottom: 0;
      position: absolute;
      font-size: 0.8rem;
      font-weight: 500;
      width: 100%;
    /*   padding: 0.8rem; */
    }

    .card-3 {
        box-shadow: 0 3px 6px #D1D5D8, 0 3px 6px #D1D5D8;
        background-color: #fff;
        padding: 2rem;
        width: 85%;
    }

    .text-compt{
      font-size:1.5rem;
      display:block;
      padding-bottom:1.5rem;
      font-weight: 500
    }

    .login-btn-loader {
        font-size: 0.7rem;
        background: #4D1F84 !important;
        color: white;
        letter-spacing: 0.1em;
        padding: 0.7rem 3rem;
        border-radius: 0.2rem !important;
        border: 1px solid transparent !important;
    }

    @media (min-width: 768px) {

      .block{
          display:flex;
          width:100vw;
          height:100vh;
        /*   text-align:center; */
      }
        .left-p{
          flex:0.75;
          background:#383D43;
          height: unset;
          display: unset;
        }
        .right-p{
          flex:1.25;
          background:#EEF2F7;
          height: unset;
          display: unset;
        }

        .card-3 {
            box-shadow: 0 3px 6px #D1D5D8, 0 3px 6px #D1D5D8;
            background-color: #fff;
            padding: 2rem;
            width: 60%;
        }

        .img-logo{
          width:50%;
          height:auto;
        }
        .bottom-hexa{

          width: 62%;
        /*   padding: 0.8rem; */
        }
    }



</style>

<body>

<section class="block">

  <div class="left-p">

    <div class=" h-100 d-flex justify-content-center align-items-center">

      <img class="img-logo" src="<?php echo base_url() ?>assets/img/logo_icon.png">

      </div>

  </div>
  <div class="right-p">


      <div class=" h-100 d-flex justify-content-center align-items-center" style="position:relative">


        <div class="card-3">

          <span class="text-compt" >Connectez-vous à votre Compte</span>


                          <div class="form-group">
                            <label class="text-left" for="email">Nom Utilisateur</label>
                            <input id="email" type="text" class="form-control">
                          </div>
                          <div class="form-group">
                            <label for="password">Password</label>
                            <input id="password" type="password" class="form-control">
                          </div>
                          <button id="connexionBtn" class="btn btn-primary" onclick="connexion()">Se connecter</button>
        </div>


      </div>
        <div class="bottom-hexa">
          <div class="row" style="margin:0">
            <div class="col-6 text-left">&copy; 2021</div>
            <div class="col-6 text-right">v0.0.1</div>
          </div>
        </div>


  </div>

</section>


<!-- Bootstrap core JavaScript-->
<script src="<?php echo base_url();?>assets/vendor/jquery/jquery.min.js"></script>
<script src="<?php echo base_url();?>assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Core plugin JavaScript-->
<script src="<?php echo base_url();?>assets/vendor/jquery-easing/jquery.easing.min.js"></script>


<script type="text/javascript">


    function connexion(){


      var password = $('#password').val();
      var user = $('#email').val();
      if(user==""){ $('#email').focus(); return;}
      if(password==""){ $('#email').focus(); return;}
      $.ajax({
                url : "<?php echo base_url() ?>Utilisateurs/connexion",
                type: "POST",
                data: { password:password,user:user},
                dataType: "JSON",
                beforeSend: function(){
                  $('#connexionBtn').html('<div class="stage"> <div class="dot-flashing"></div> </div>'); 
                  $('#connexionBtn').prop('disabled', true);
                  $('#connexionBtn').addClass('login-btn-loader');
                },
                success: function(reservation)
                {
                      if (reservation == '') {

                      }else if (!reservation.session) {
                          window.location.replace("<?php echo base_url() ?>login");
                      }else if (!reservation.status) {
                     
                        $('.error-message').html('E-mail et/ou mot de passe incorrect');
                        $('#connexionBtn').html('Se connecter'); 
                        $('#connexionBtn').prop('disabled', false);
                        $('#connexionBtn').removeClass('login-btn-loader');

                      }else{
                        window.location.replace("<?php echo base_url() ?>dashboard");
                      }
                },
                error: function (event, jqXHR, ajaxSettings, thrownError)
                {
                  $('#connexionBtn').html('Se connecter'); 
                  $('#connexionBtn').prop('disabled', false);
                  $('#connexionBtn').removeClass('login-btn-loader');
                  //alert('[message:' + ajaxSettings + ']');

                }
      });
    }
    
</script>
    
</body>

</html>



