<html>
  <head>
    <style>
        @font-face {
          font-family: 'lato-bolditalic';
          font-style: normal;
          font-weight: normal;
          src: url('./assets/fonts/Lato-BlackItalic.ttf') format('truetype');
        }
        @font-face {
          font-family: 'lato-heavy';
          font-style: normal;
          font-weight: 700;
          src: url('./assets/fonts/Lato-Heavy.ttf') format('truetype');
        }

        @font-face {
          font-family: 'lato-semibolditalic';
          font-style: normal;
          font-weight: 700;
          src: url('./assets/fonts/font/Lato-SemiboldItalic.ttf') format('truetype');
        }
    .clearfix:after {
      content: "";
      display: table;
      clear: both;
    }

    a {
      color: #5D6975;
      text-decoration: underline;
    }


    body {
      position: relative;
      padding-top: 240px;
      padding-bottom: 50px;
      width: 18.6cm;  
      height: 28.7cm; 
/*       margin: 0 auto;  */
      color: #001028;
      background: #FFFFFF; 
      font-family: lato-semibolditalic, sans-serif; 
      font-size: 12px; 
      font-family: lato-semibolditalic;
    }

    #logo {
      text-align: center;
    }

    #logo{
      text-align: center;
      margin-left: -45px;
      margin-right: -45px;
    }
     .header #logo{
      margin-top: -45px;

    }
    #logo img {
      width: 100%;
      height: auto;
    }

    h1 {
      border-top: 1px solid  #000;
      border-bottom: 1px solid  #000;
      color: #000;
      font-size: 2em;
      line-height: 0.8em;
      font-weight: normal;
      text-align: center;
      margin: 0 0 0 0;
      padding: 10px;
    }

    #project {
      padding-top: 10px;
      float: left;
    }
    #company {
      padding-top: 10px;
      float: right;
      text-align: left;
      padding-right: 200px;
    }

    #project span {
      color: #5D6975;
      text-align: left;
      width: 60px;
      margin-right: 10px;
      display: inline-block;
      font-size: 0.8em;
    }
    #company span {
      color: #5D6975;
      text-align: left;
      width: 60px;
      margin-right: 10px;
      display: inline-block;
      font-size: 0.8em;
    }


    #project div,
    #company div {
      white-space: nowrap;        
    }

    table {
      width: 100%;
      border-collapse: collapse;
      border-spacing: 0;
      margin-bottom: 10px;
    }

    table tr:nth-child(2n-1) td {
      background: #F5F5F5;
    }

    table th,
    table td {
      text-align: center;

    }

    table th {
      padding: 4px;
      color: #000;
      border: 1px solid #000;
      border-radius: 20%;
      white-space: nowrap;        
      font-weight: normal;
      text-transform: uppercase;
    }
    table  .tab-elemts th {
      padding: 4px;
      color: #000;
      border: 1px solid #000;
      border-radius: 20%;
/*       background: #ffd6a5; */
      background: #B2C7FA;
      white-space: nowrap;        
      font-weight: normal;
      text-transform: uppercase;
    }

    table .service,
    table .desc {
      text-align: left;
    }

    table td {
      padding: 2px;
      text-align: right;
      border-right: 1px solid #000;
      border-left: 1px solid #000;
    }

    table td.service,
    table td.desc {
      vertical-align: top;
    }
    table td.granTotal {
      vertical-align: top;
      font-size: 1.2em;
      padding-right: 5px;
    }

    table td.unit,
    table td.qty,
    table td.total {
      font-size: 1.2em;
    }

    table td.grand {
      border-top: 1px solid #5D6975;
      font-size: 1.2em;
      padding-left: 5px;
      
    }
    span.text-footer{font-size: 65%;line-height: 0.8;}
    .header { position: fixed; top: 0px;padding: 0; }
    .footer { position: fixed; bottom: 60px;text-align: center }
/*       .pagenum:before { content: counter(page); } */

    .tabfooter {
      width: 100%;
      border-collapse: collapse;
      border-spacing: 0;
      margin-bottom: 4px;
    }
    .text_string{
      text-align: left;
      font-size: 1rem;
    }
    .text_number{
      text-align: right;
      font-size: 1rem;
    }
    .body_details{
      border: 1px solid #000;
    }
    thead tr {
      border-bottom: 10px solid white;
    }
    #pp:after { content: counter(page, decimal); }

    .column {
      width: 50%;
    }
    .row {
      display: table;
      clear: both;
    }
    td.empty {
      background: #ffffff!important;
    }
    td.empty:after {
      content: 'Empty cell';
      visibility: hidden;
      speak: none;
      background: #ffffff!important;
    }
    </style>
  </head>





  <body>


    <div class="header">
      <div style="width:100%">
        <div id="logo">
          <img src="./assets/img/header.png">
        </div>        
      </div>
      <div >

        <div  style="float:left;width:48%">

          <table class="tabfooter" style=";margin-top:30px">
            <thead>
              <tr>
                <th>Date</th>
                <th>BL Nº</th>
                <th>Page</th>
              </tr>
            </thead>
            <tr>
              <td style="border: 1px solid #000;background:#fff;text-align: center"><?php echo date('d/m/Y',strtotime($bl[0]['DATE'])) ?></td>
              <td style="border: 1px solid #000;background:#fff;text-align: center"><?php echo $bl[0]['NUMDOC'] ?></td>
              <td style="border: 1px solid #000;background:#fff;text-align: center" id="pp"></td>
            </tr>
          </table> 
          
        </div>
        <div style="float:right;width:48%;min-height:100px;height:110px;border: 1px solid #000;border-radius: 20%;background-color:#e9ecef">

          <span style="display:block;text-align: center"><?php echo $bl[0]['NOMTIER'] ?></span>
          <span style="display:block;text-align: center"><?php echo $bl[0]['ADRESSE'] ?></span>
          <span style="display:block"></span>

        </div>
    </div>

    </div>
    <div class="footer">

        <div id="logo">
          <img src="./assets/img/footer.png">
        </div>  

    </div>
    <main>

      <table>
        <thead class="tab-elemts">
          <tr>
            <th width="58%" class="desc">Designation</th>
            <th width="10%">Qte</th>
            <th width="10%">Prix HT</th>
            <th width="6%">REM.</th>
            <th width="10%">Monatant</th>
            <th width="6%">TVA</th>
          </tr>
        </thead>
        <tbody class="body_details">

          <?php foreach ($bl as $key => $produit): ?>
            <tr>
              <?php $class = ''; if ($produit['DESIGNAT'] == ''): $class = ' empty'; endif ?>
              <td width="58%" class="text_string <?php echo $class ?>"><?php echo $produit['DESIGNAT'] ?><br><?php echo $produit['COMMENT'] ?></td>

              <td width="10%" class="text_number <?php echo $class ?>"><?php echo $q = ($produit['QTE']) ? number_format($produit['QTE'],2) : '' ?></td>
              <td width="10%" class="text_number <?php echo $class ?>"><?php echo $p = ($produit['PUHT']) ? number_format($produit['PUHT'],2) : '' ?></td>
              <td width="6%" class="text_number <?php echo $class ?>"><?php echo $r = ($produit['REMISE']) ? number_format($produit['REMISE'],2) : '' ?></td>
              <td width="10%" class="text_number <?php echo $class ?>"><?php echo $tt = ($produit['QTE']) ? number_format(($produit['PUHT']*$produit['QTE'])-($produit['PUHT']*$produit['QTE']) * (($produit['REMISE']/100)),2) : ''  ?></td>
              <td width="6%" class="text_number <?php echo $class ?>"><?php echo $t = ($produit['CODETVA']) ? number_format($produit['CODETVA'],2) : '' ?></td>
            </tr> 
         
          <?php endforeach; ?>

        </tbody>
      </table>

      <table class="tabfooter total-table">
        <thead class="tab-elemts">
          <tr>
            <th>Bases H.T</th>
            <th>TVA a 20%</th>
            <th colspan="2">Montant</th>
            <th>Net A Payer</th>
          </tr>
        </thead>
        <tbody class="body_details">
          <tr>
            <td class="text_number"><?php echo number_format($total,2) ?></td>
            <td class="text_number"><?php echo number_format($totaltva,2) ?></td>
            <td style="text-align: left;border-right:none"><span style="display: block;">TVA : </span><span style="display: block;">HT : </span></td>
            <td style="border-left:none"><span style="display: block"><?php echo number_format($totaltva,2) ?></span><span style="display: block"><?php echo number_format($total,2) ?></span></td>
            <td class="text_number"><?php echo number_format($totalttc,2) ?></td>
          </tr>
      </tbody>
      </table>
      <span style="display:block">ARRETER LA PRESENTE bl A LA SOMME DE : </span>
      <span style="display:block"><?php echo $totall ?></span>

    </main>
  </body>
</html>