<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Inventaires extends CI_Controller
{
	public function index(){

		$user_id = $this->session->userdata('idUtilisateur');
		$nomu = $this->session->userdata('nomUtilisateur');
		if(!$user_id){
			  $this->load->view('login');
		}else{

			$data['inventaires'] = $this->StocksModel->getInventaires();
			$data['famillesArticles'] = $this->ArticlesModel->getFamillesArticles();
			$data['depots'] = $this->ArticlesModel->getDepots();

			$header['title'] = 'Gestion Commercial - Gestion Inventaire';
			$header['page'] = 'Inventaire';


			$this->load->view('templates/header',$header);
			$this->load->view('inventaires',$data);
			$this->load->view('templates/footer');

		}

	}

    public function printInventaire($id){

    	use mikehaertl\wkhtmlto\Pdf;

    	// You can pass a filename, a HTML string, an URL or an options array to the constructor

    	$options = array("binary" => "/usr/local/bin/wkhtmltopdf");

    	$data['inventaire'] = $this->StocksModel->getDetailsInventaire($id);

    	// var_dump($data['inventaire']);die;

    	$html = $this->load->view('pdf/inventaire',$data, true);

	    $pdf = new mikehaertl\wkhtmlto\Pdf(    
	    	['page-size'       => 'Letter',
		    'margin-top'       => 10,
		    'margin-right'     => 5,
		    'margin-bottom'    => 10,
		    'margin-left'      => 5,
		    'orientation'      => 'portrait',
		    'footer-right'    => 'Page [page]/[toPage]',
		    'footer-font-size' => 8,
		    'footer-font-name' => 'lato-semibolditalic'
		]);

	    $pdf->setOptions($options); 

	    $pdf->addPage($html); 

	    // On some systems you may have to set the path to the wkhtmltopdf executable
	    // $pdf->binary = 'C:\...';

	    if (!$pdf->send('INV-'.$id.'.pdf')) {

	        $error = $pdf->getError();
	        var_dump($error);
	        // ... handle error here
	    }
	die;


// 		$pdf->send('name.pdf', false, array(
//     'Content-Length' => false,
// ));
// $image->send('name.png', false, array(
//     'Content-Length' => false,
// ));


    	$this->load->library('Nuts');
    	
      	//$this->WKHTP->Conversion( $entier );

      	//$wkhtmltopdf = new Wkhtmltopdf(array('path' => APPLICATION_PATH . '/../public/uploads/'));

      	$data['inventaire'] = $this->StocksModel->getDetailsInventaire($id);

      	$html = '<h1>This Is A Test</h1><p>Ponies</p>';

      	// realpath(APPPATH.'../pdf/');

      	//echo(realpath('/home/pmshexag/public_html/safetypneus/assets/pdf'));
      	// sudo chmod 777 /home/pmshexag/public_html/safetypneus/assets/pdf

      	// echo FCPATH.'assets/pdf';
      	// if (!is_writable(FCPATH.'assets/pdf'))
       //  {
       //      echo("Path to directory where to store files is not writable");
       //  }
        //die;

        $this->WKHTP->make(array('path'=>'/home/pmshexag/public_html/safetypneus/assets/pdf'));

        $this->WKHTP->setHtml("<h1>This Is A Test</h1><p>Ponies</p>");

        $this->WKHTP->output(Wkhtmltopdf::MODE_DOWNLOAD, "file.pdf"); 




// $pdf->set_html($html);
// $pdf->render();
// $pdf->output(WKPDF::$PDF_EMBEDDED,'sample.pdf');


		//echo passthru("xvfb-run -a wkhtmltopdf -T 0 -R 0 -B 0 -L 0 --orientation Portrait --page-size A4 https://www.example.com/ output.pdf 2>&1");


      // $user_id = $this->session->userdata('idUtilisateur');
      // $nomu = $this->session->userdata('nomUtilisateur');
      // if(!$user_id){
      //   $this->load->view('login');
      // }else{
      //   $data['inventaire'] = $this->StocksModel->getDetailsInventaire($id);
      //   //$this->FacturesModel->insertActivity($user_id,$id,$data['facture'][0]['NUMDOC'],45,'');

      //   set_time_limit(100);

      //   $html = $this->load->view('pdf/inventaire',$data, true);

      //   $this->load->library('pdf');
                            
      //   $this->dompdf->loadHtml($html);
                            
      //   $this->dompdf->setPaper('A4', 'portrait');
              
      //   $this->dompdf->render();

      //   $this->dompdf->stream("INV-".$id.".pdf", array("Attachment"=>true));

      // }
    }

	public function saisieInventaire($id){

		$user_id = $this->session->userdata('idUtilisateur');
		$nomu = $this->session->userdata('nomUtilisateur');
		if(!$user_id){
			  $this->load->view('login');
		}else{

			$data['inventaire'] = $this->StocksModel->getDetailsInventaire($id);
			$data['famillesArticles'] = $this->ArticlesModel->getFamillesArticles();
			$data['depots'] = $this->ArticlesModel->getDepots();

			$header['title'] = 'Gestion Commercial - Gestion Inventaire';
			$header['page'] = 'Inventaire';


			$this->load->view('templates/header',$header);
			$this->load->view('saisieInventaire',$data);
			$this->load->view('templates/footer');

		}

	}




	public function insertInventaire(){

	    $user_id = $this->session->userdata('idUtilisateur');
	    $nomu = $this->session->userdata('nomUtilisateur');
	    if(!$user_id){
	        $output = json_encode(array("session"=>false));
	        $this->output->set_content_type('application/json');
	      	$this->output->set_output($output);
	    }else{

		    $json = $this->input->post('json');
		    if($this->StocksModel->insertInventaire($json,$user_id)){

		        $output = json_encode(array("result"=>true,"session"=>true));
		        $this->output->set_content_type('application/json');
		        $this->output->set_output($output);

		    }else{

		        $output = json_encode(array("result"=>false,"session"=>true));
		        $this->output->set_content_type('application/json');
		        $this->output->set_output($output);

		    }
	    }
	}
}
