<html>
  <head>
    <style>
        @font-face {
          font-family: 'lato-bolditalic';
          font-style: normal;
          font-weight: normal;
          src: url('./assets/fonts/Lato-BlackItalic.ttf') format('truetype');
        }
        @font-face {
          font-family: 'lato-heavy';
          font-style: normal;
          font-weight: 700;
          src: url('./assets/fonts/Lato-Heavy.ttf') format('truetype');
        }

        @font-face {
          font-family: 'lato-semibolditalic';
          font-style: normal;
          font-weight: 700;
          src: url('./assets/fonts/font/Lato-SemiboldItalic.ttf') format('truetype');
        }
    .clearfix:after {
      content: "";
      display: table;
      clear: both;
    }

    a {
      color: #5D6975;
      text-decoration: underline;
    }


    body {
      position: relative;
      padding-top: 240px;
      padding-bottom: 50px;
      width: 18.6cm;  
      height: 28.7cm; 
/*       margin: 0 auto;  */
      color: #001028;
      background: #FFFFFF; 
      font-family: lato-semibolditalic, sans-serif; 
      font-size: 12px; 
      font-family: lato-semibolditalic;
    }
    span{
      font-family: lato-semibolditalic; 
    }

    #logo {
      text-align: center;
    }

    #logo{
      text-align: center;
      margin-left: -45px;
      margin-right: -45px;
    }
     .header #logo{
      margin-top: -45px;

    }
    #logo img {
      width: 100%;
      height: auto;
    }

    h1 {
      border-top: 1px solid  #000;
      border-bottom: 1px solid  #000;
      color: #000;
      font-size: 2em;
      line-height: 0.8em;
      font-weight: normal;
      text-align: center;
      margin: 0 0 0 0;
      padding: 10px;
    }
    h3 {
      color: #000;
      font-size: 1.3em;
      line-height: 0.8em;
      font-weight: normal;
      margin: 0 0 0 0;
    }

    #project {
      padding-top: 10px;
      float: left;
    }
    #company {
      padding-top: 10px;
      float: right;
      text-align: left;
      padding-right: 200px;
    }

    #project span {
      color: #5D6975;
      text-align: left;
      width: 60px;
      margin-right: 10px;
      display: inline-block;
      font-size: 0.8em;
    }
    #company span {
      color: #5D6975;
      text-align: left;
      width: 60px;
      margin-right: 10px;
      display: inline-block;
      font-size: 0.8em;
    }


    #project div,
    #company div {
      white-space: nowrap;        
    }

    table {
      width: 100%;
      border-collapse: collapse;
      border-spacing: 0;
      margin-bottom: 10px;
    }

    table tr:nth-child(2n-1) td {
      background: #F5F5F5;
    }

    table th,
    table td {
      text-align: center;
    }

    table th {
      padding: 4px;
      color: #000;
      border: 1px solid #000;
      border-radius: 20%;
      white-space: nowrap;        
      font-weight: normal;
      text-transform: uppercase;
    }
    table  .tab-elemts th {
      padding: 4px;
      color: #000;
      border: 1px solid #000;
      border-radius: 20%;
/*       background: #ffd6a5; */
      background: #B2C7FA;
      white-space: nowrap;        
      font-weight: normal;
      text-transform: uppercase;
    }

    table .service,
    table .desc {
      text-align: left;
    }

    table td.tddl{
      padding: 2px;
      text-align: right;
      border-right: 1px solid #000;
      border-left: none;
      border-bottom: 1px solid #000;
    }
    table td.tddrn{
      padding: 2px;
      text-align: right;
      border-right: none;
      border-left: 1px solid #000;
      border-bottom: none;
    }

    table td.tdd {
      padding: 2px;
      text-align: right;
      border-right: 1px solid #000;
      border-left: 1px solid #000;
      border-bottom: 1px solid #000;
      border-top: 1px solid #000;
    }

    table td.tddn {
      padding: 2px;
      text-align: right;
      border-right: 1px solid #000;
      border-left: 1px solid #000;
      border-bottom: none;
    }

    table td.service,
    table td.desc {
      vertical-align: top;
    }
    table td.granTotal {
      vertical-align: top;
      font-size: 1.2em;
      padding-right: 5px;
    }

    table td.unit,
    table td.qty,
    table td.total {
      font-size: 1.2em;
    }

    table td.grand {
      border-top: 1px solid #5D6975;
      font-size: 1.2em;
      padding-left: 5px;
      
    }
    span.text-footer{font-size: 65%;line-height: 0.8;}
    .header { position: fixed; top: 0px;padding: 0; }
    .footer { position: fixed; bottom: 60px;text-align: center }
/*       .pagenum:before { content: counter(page); } */

    .tabfooter {
      width: 100%;
      border-collapse: collapse;
      border-spacing: 0;
      margin-bottom: 4px;
    }
    .text_string{
      text-align: left;
      font-size: 1rem;
    }
    .text_number{
      text-align: right;
      font-size: 1rem;
    }
    .body_details{
      border: 1px solid #000;
    }
    thead tr {
      border-bottom: 10px solid white;
    }
    #pp:after { content: counter(page, decimal); }

    .column {
      width: 50%;
    }
    .row {
      display: table;
      clear: both;
    }
    td.empty {
      background: #ffffff!important;
    }
    td.empty:after {
      content: 'Empty cell';
      visibility: hidden;
      speak: none;
      background: #ffffff!important;
    }
    </style>
  </head>
  <body>

    <div class="header">
      <div style="width:100%">
        <div id="logo">
          <img src="./assets/img/header.png">
        </div>        
      </div>
        <h1>LISTES DES FACTURES/AVOIRS NON SOLDES</h1>
        <h3>Client : <?php echo $client["client"]->raisonSociale ?></h3>
        <h3>ICE    : <?php echo $client["client"]->ICE ?></h3>
      <div >


    </div>

    </div>
    <div class="footer">

        <div id="logo">
          <img src="./assets/img/footer.png">
        </div>  

    </div>
    <main>

      <table>
        <thead>
          <tr>
            <th style="text-align: center;width: 60%;" colspan="4">DOCUMENT</th>
            <th style="text-align: center;width: 13.33%;" rowspan="2">DEBIT</th>
            <th style="text-align: center;width: 13.33%;" rowspan="2">CREDIT</th>
            <th style="text-align: center;width: 13.33%;" rowspan="2">SOLDE</th>
          </tr>
          <tr>
            <th style="text-align: center;width: 20%;">DATE</th>
            <th style="text-align: center;width: 20%;">DOC</th>
            <th style="text-align: center;width: 60%;" colspan="2">LIBELLE</th>
          </tr>
        </thead>
        <tbody>
           <?php $tot_credit = 0;$tot_debit = 0;$tot_solde = 0; foreach ($client["bls"] as $key => $bl) : ?>

            <tr>
              <td class="tdd" style="text-align: left;"><?php echo date("d/m/Y", strtotime($bl["DATE"])) ?></td>
              <td class="tdd" style="text-align: left;">BL</td>
              <td class="tdd" style="text-align: left;" colspan="2">N° <?php echo $bl["NUMDOC"]; ?></td>
              <td class="tdd" style="text-align: right;"><?php $tot_debit += $bl["MONTANT"]; echo number_format($bl["MONTANT"],2); ?></td>
              <td class="tdd" style="text-align: right;"><?php $tot_credit += $bl["MONTREGL"]; echo number_format($bl["MONTREGL"],2); ?></td>
              <td class="tdd" style="text-align: right;"><?php $tot_solde += $bl["MONTANT"]-$bl["MONTREGL"]; echo number_format($bl["MONTANT"]-$bl["MONTREGL"],2); ?></td>
            </tr>

            <?php foreach ($bl["details"] as $key => $detail) : ?>
              <tr>
                <td class="tddn" style="text-align: left;"></td>
                <td class="tddnr" style="text-align: left;"><?php echo $detail["CODEART"]; ?></td>
                <td class="tddn" style="text-align: left;" colspan="2"><?php echo $detail["DESIGNAT"]; ?></td>
                <td class="tddn" style="text-align: center;"><?php echo $detail["QTE"]; ?></td>
                <td class="tddn" style="text-align: right;"><?php echo number_format($detail["PTTC"],2); ?></td>
                <td class="tddn" style="text-align: right;"></td>
              </tr>
            <?php endForeach ?>

          <?php endForeach ?>
          <?php foreach ($client["factures"] as $key => $facture) : ?>

            <tr>
              <td class="tdd" style="text-align: left;"><?php echo date("d/m/Y", strtotime($facture["DATE"])) ?></td>
              <td class="tdd" style="text-align: left;">FACTURE</td>
              <td class="tdd" style="text-align: left;" colspan="2">N° <?php echo $facture["NUMDOC"]; ?></td>
              <td class="tdd" style="text-align: right;"><?php $tot_debit += $facture["MONTANT"]; echo number_format($facture["MONTANT"],2); ?></td>
              <td class="tdd" style="text-align: right;"><?php $tot_credit += $facture["MONTREGL"]; echo number_format($facture["MONTREGL"],2); ?></td>
              <td class="tdd" style="text-align: right;"><?php $tot_solde += $facture["MONTANT"]-$facture["MONTREGL"]; echo number_format($facture["MONTANT"]-$facture["MONTREGL"],2); ?></td>
            </tr>

            <?php foreach ($facture["details"] as $key => $detail) : ?>
              <tr>
                <td class="tddn" style="text-align: left;"></td>
                <td class="tddrn" style="text-align: left;"><?php echo $detail["CODEART"]; ?></td>
                <td class="tddn" style="text-align: left;" colspan="2"><?php echo $detail["DESIGNAT"]; ?></td>
                <td class="tddn" style="text-align: center;"><?php echo $detail["QTE"]; ?></td>
                <td class="tddn" style="text-align: right;"><?php echo number_format($detail["PTTC"],2); ?></td>
                <td class="tddn" style="text-align: right;"></td>
              </tr>
            <?php endForeach ?>

          <?php endForeach ?>
            <tr>
              <td class="tdd" style="text-align: left;" colspan="4">TOTAUX <?php echo $client["client"]->raisonSociale ?></td>
              <td class="tdd" style="text-align: right;"><?php echo number_format($tot_debit,2) ?></td>
              <td class="tdd" style="text-align: right;"><?php echo number_format($tot_credit,2) ?></td>
              <td class="tdd" style="text-align: right;"><?php echo number_format($tot_solde,2) ?></td>
            </tr>
            <tr>
              <td class="tdd" style="text-align: center;" colspan="4">TOTAUX GENERAUX</td>
              <td class="tdd" style="text-align: right;"><?php echo number_format($tot_debit,2) ?></td>
              <td class="tdd" style="text-align: right;"><?php echo number_format($tot_credit,2) ?></td>
              <td class="tdd" style="text-align: right;"><?php echo number_format($tot_solde,2) ?></td>
            </tr>


        </tbody>
      </table>

      

    </main>
  </body>
</html>